Results 1 to 7 of 7

Thread: libsnmp15 unmet dependencies

  1. #1
    Join Date
    2013-Jul
    Posts
    4

    Unhappy libsnmp15 unmet dependencies

    Code:
    apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    You might want to run 'apt-get -f install' to correct these.
    The following packages have unmet dependencies:
     snmp : Depends: libsnmp15 (>= 5.4.3~dfsg) but it is not installed
    E: Unmet dependencies. Try using -f.
    i alreadi did apt-get -f install but it show like this :
    Code:
    Reading changelogs... Done
    Setting up initscripts (2.88dsf-42) ...
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header
    dpkg: error processing initscripts (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initscripts
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    i did apt-get dist-upgrade but it still the same, like it shown above
    can anyone help me to fix this problem ?

  2. #2
    Join Date
    2013-Apr
    Posts
    126
    First try to:

    Code:
    apt-get update
    to refresh your package lists, then try again and see what you get.

  3. #3
    Join Date
    2013-Jul
    Posts
    4
    Quote Originally Posted by root-boy View Post
    First try to:

    Code:
    apt-get update
    to refresh your package lists, then try again and see what you get.
    it's still the same, showing :
    Setting up initscripts (2.88dsf-43) ...
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header

  4. #4
    Join Date
    2013-Jun
    Posts
    113
    Try
    Code:
    aptitude search libsnmp15
    My output is something like this:
    Code:
    i   libsnmp15                                                          - SNMP (Simple Network Management Protocol) library                            
    p   libsnmp15-dbg                                                      - SNMP (Simple Network Management Protocol) library debug
    Now reinstall these (or in your case some more packages).
    Code:
    aptitude reinstall libsnmp15
    .
    .
    .
    Now you should be able to
    Code:
    apt-get autoclean && apt-get autoremove && apt-get update && apt-get upgrade
    Be cafeful when using autoclean and autoremove cause I don't know what else you did to your system, you might end up removing useful packages. Good luck.

  5. #5
    You too have been mixing your repositories in sources.list ...and have screwed up your Kali install.

  6. #6
    Join Date
    2013-Jul
    Posts
    4
    Quote Originally Posted by blackMORE View Post
    Try
    Code:
    aptitude search libsnmp15
    My output is something like this:
    Code:
    i   libsnmp15                                                          - SNMP (Simple Network Management Protocol) library                            
    p   libsnmp15-dbg                                                      - SNMP (Simple Network Management Protocol) library debug
    Now reinstall these (or in your case some more packages).
    Code:
    aptitude reinstall libsnmp15
    .
    .
    .
    Now you should be able to
    Code:
    apt-get autoclean && apt-get autoremove && apt-get update && apt-get upgrade
    Be cafeful when using autoclean and autoremove cause I don't know what else you did to your system, you might end up removing useful packages. Good luck.
    thanks dude it's all work, but when the dpkg is preparing for preconfiguring packages it show the same

    Code:
    Setting up initscripts (2.88dsf-43) ...
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header
    dpkg: error processing initscripts (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initscripts
    i think we have 2 problems here the broken dpkg and the initscripts error and we haven't fix the initscripts problem. sorry for more asking

  7. #7
    Join Date
    2013-Jul
    Posts
    4
    its all solved but it's maybe not recomended

    i move the checkroot.sh to another directory and do as following as before i did and it's all solved

Similar Threads

  1. Unmet Dependencies
    By Hunt3rdude in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2016-12-10, 20:52
  2. unmet dependencies - libsnmp15
    By steorra in forum TroubleShooting Archive
    Replies: 6
    Last Post: 2015-08-12, 21:42
  3. unmet dependencies
    By hanzla23 in forum NetHunter General Questions
    Replies: 1
    Last Post: 2015-05-20, 07:09

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •